Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libquicktime0-32bit-1.2.4cvs20150223-lp151.4.3 RPM for x86_64

From OpenSuSE Leap 15.1 for x86_64

Name: libquicktime0-32bit Distribution: openSUSE Leap 15.1
Version: 1.2.4cvs20150223 Vendor: openSUSE
Release: lp151.4.3 Build date: Mon Dec 17 22:49:08 2018
Group: System/Libraries Build host: lamb14
Size: 640272 Source RPM: libquicktime-1.2.4cvs20150223-lp151.4.3.src.rpm
Packager: https://bugs.opensuse.org
Url: http://libquicktime.sf.net
Summary: Library for Reading and Writing Quicktime Movie Files
A library for reading and writing Quicktime movie files, based on and
forked from quicktime4linux.

Provides

Requires

License

GPL-2.0+

Changelog

* Tue Nov 28 2017 zaitor@opensuse.org
  - Add %%{name} Requires to orig-addon sub-package, installing the
    addon-package does not make sense without the main package.
* Fri Nov 03 2017 zaitor@opensuse.org
  - Drop gtk2-devel BuildRequires and pass --without-gtk to
    configure, no longer build gtk2 support.
  - Following the above, stop using sed to remove
    GTK_DISABLE_DEPRECATED from configure.ac, no longer needed.
  - Add explicit pkgconfig(libpng) BuildRequries, previously pulled
    in by the gtk2-devel BuildRequries.
* Fri Aug 25 2017 olaf@aepfle.de
  - Enable lame unconditionally
  - Remove ffmpeg conditional because it is always present
* Tue Jul 04 2017 kstreitova@suse.com
  - adjust libquicktime-1.2.4-integer_overflow.patch to prevent
    endless loop when there are less than 256 bytes to read
    [bsc#1022805] CVE-2016-2399
* Fri Jun 23 2017 kstreitova@suse.com
  - add libquicktime-1.2.4-multiple_vulnerabilities.patch to fix the
    following security issues:
    * CVE-2017-9122 [bsc#1044077]
    * CVE-2017-9123 [bsc#1044009]
    * CVE-2017-9124 [bsc#1044008]
    * CVE-2017-9125 [bsc#1044122]
    * CVE-2017-9126 [bsc#1044006]
    * CVE-2017-9127 [bsc#1044002]
    * CVE-2017-9128 [bsc#1044000]
* Sat Feb 25 2017 zaitor@opensuse.org
  - Move unversioned so files to previously not built main package.
  - Following this, split out a new sub-package
    libquicktime-orig-addon, built depending on macro BUILD_ORIG.
  - Split out a new lang subpackage.
  - Stop providing/obsoleting libquicktime last available in openSUSE
    11.4.
* Thu Feb 16 2017 jengelh@inai.de
  - Rename %soname to %sover to better reflect its use.
    Correct RPM group.
* Tue Feb 14 2017 kstreitova@suse.com
  - add libquicktime-1.2.4-integer_overflow.patch to fix integer
    overflow in the quicktime_read_pascal function in libquicktime
    1.2.4 and earlier that allows remote attackers to cause a denial
    of service or possibly have other unspecified impact via a crafted
    hdlr MP4 atom [bsc#1022805] CVE-2016-2399
* Mon Jul 25 2016 olaf@aepfle.de
  - Convert buildconditionals for faac, faad, lame and x264
* Wed Feb 17 2016 olaf@aepfle.de
  - Remove usage of some deprecated names to fix compile with ffmpeg3
    libquicktime-ffmpeg3.patch
  - Fix compiler warning about incorrect memset args
    libquicktime-faad2.patch
* Fri Dec 11 2015 tchvatal@suse.com
  - Use ffmpeg even in OBS with reduced scope of course
  - Cleanup with spec-cleaner
* Tue Sep 22 2015 olaf@aepfle.de
  - Use pkgconfig for ffmpeg BuildRequires
* Mon Feb 23 2015 avvissu@yandex.ru
  - Update to cvs20150223:
  - Remove all patches (fixed in upstream):
    * libquicktime-1.2.2-dont_disable_deprecated.patch
    * libquicktime-libpng16.patch
* Fri Oct 03 2014 crrodriguez@opensuse.org
  - Add baselibs.conf as Source.
* Wed Oct 01 2014 crrodriguez@opensuse.org
  - Cleanup buildRequires, do not use xorg-x11-devel.
* Wed May 28 2014 crrodriguez@opensuse.org
  - disable timestamps in doxygen, make build-compare happy
* Mon Mar 18 2013 pgajdos@suse.com
  - builds also with libpng16
    * libpng16.patch
* Fri Mar 30 2012 pascal.bleser@opensuse.org
  - update to 1.2.4:
    * upgrades for newer ffmpeg versions
    * 10 bit DNxHD support
    * limited support for edit lists in the public API
    * several fixes
* Fri Mar 02 2012 reddwarf@opensuse.org
  - Compile against newest ffmpeg
* Tue Feb 28 2012 puzel@suse.com
  - BuildRequire xorg-x11-devel to build lqtplay
* Fri Jul 22 2011 pascal.bleser@opensuse.org
  - update to 1.2.3:
    * fixes compilation with newer versions of gtk, ffmpeg, and x264
    * some contributed patches were applied as well
* Sun Jun 26 2011 davejplater@gmail.com
  - Removed services
* Fri Jun 24 2011 davejplater@gmail.com
  - Replace old COPYING file with new one with correct FSF address.
* Sat Jun 18 2011 reddwarf@opensuse.org
  - changed BuildRequires libffmpeg-devel to libffmpeg_oldabi-devel.
    Original fix from Manfred.Tremmel.
* Wed May 18 2011 reddwarf@opensuse.org
  - fix baselibs.conf
  - allow GTK deprectaed functions
* Thu Apr 28 2011 reddwarf@opensuse.org
  - rebased on Packman package. Now it will be shared between both
    repositories.
* Thu Apr 14 2011 toddrme2178@gmail.com
  - added 32bit compatibility libraries
* Thu Feb 03 2011 davejplater@gmail.com
  - Update to version 1.2.2
  - This fixes compilation errors with newer gtk versions and a
    crash in the plugin registry.
* Sun Dec 05 2010 puzel@novell.com
  - update to libquicktime-1.2.1
    - fix compilation errors with newer x264 versions
* Thu Dec 02 2010 puzel@novell.com
  - update to libquicktime-1.2.0
    - reading and writing of compressed packets for lots of
      codecs
    - cleanup of internals, enhancements, bugfixes
  - drop libquicktime-jpeg7.patch (in upstream)
  - clean up specfile
* Wed Nov 03 2010 puzel@novell.com
  - add libquicktime-jpeg7.patch (bnc#647859)
    - patch by Martin Wilck
* Fri Feb 26 2010 puzel@novell.com
  - update to libquicktime-1.1.5
    - encoding of AC3 and H.264 in AVI and some minor fixes
* Fri Jan 08 2010 puzel@novell.com
  - update to libquicktime-1.1.4
    - fix avi decoding (broken in 1.1.3)
* Tue Jul 14 2009 puzel@novell.com
  - update to libquicktime-1.1.3
    - fix a crash in the v308 codec
* Thu Jun 18 2009 puzel@novell.com
  - update to libquicktime-1.1.2
    - dirac video en-/decoding
    - several fixes
  - add dirac-devel to BR
* Fri Mar 06 2009 puzel@suse.cz
  - update to libquicktime-1.1.1
    * read/write support for timecode tracks
    * support for newer versions of ffmpeg and x264
    * several bugfixes and cleanups
  - fix some rpmlint warnings

Files

/usr/lib/libquicktime.so.0
/usr/lib/libquicktime.so.0.0.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 9 09:58:45 2021